Package org.pushingpixels.substance.internal.animation

# Interface StateTransitionListener

All Superinterfaces:
  `EventListener`

public interface StateTransitionListener extends EventListener

## Method Summary

Modifier and Type
Method
Description
`void`
`onFocusStateTransition(StateTransitionEvent stateTransitionEvent)`
`void`
`onModelStateTransition(StateTransitionEvent stateTransitionEvent)`

## Method Details

### onModelStateTransition

void onModelStateTransition(StateTransitionEvent stateTransitionEvent)

### onFocusStateTransition

void onFocusStateTransition(StateTransitionEvent stateTransitionEvent)